package net.wanji.web.service;

import net.wanji.web.vo.specialService.*;

import java.util.List;
import java.util.Set;

/**
 * @author Kent HAN
 * @date 2022/11/8 11:06
 */
public interface SpecialServiceService {
    void addSpecialService(AddSpecialServiceInVO addSpecialServiceInVO);

    List<ListSpecialServicesOutVO> listSpecialServices(String adCode);

    void updateSpecialService(UpdateSpecialServiceInVO updateSpecialServiceInVO);

    void deleteSpecialService(Integer id);

    void addCross(AddCrossInVO addCrossInVO);

    List<CrossListOutVO> crossList(Integer specialServiceId);

    void updateCross(UpdateCrossInVO updateCrossInVO);

    void deleteCross(DeleteCrossInVO deleteCrossInVO);

    void enableSpecialService(EnableDisableSpecialServiceInVO enableDisableSpecialServiceInVO);

    void disableSpecialService(EnableDisableSpecialServiceInVO enableDisableSpecialServiceInVO);

    Set<String> crossInList(String crossId);
}
