package net.wanji.web.service.scheme;

import net.wanji.web.dto.CrossIdDTO;
import net.wanji.web.dto.LaneIdDTO;
import net.wanji.web.dto.LightIdDTO;
import net.wanji.web.dto.SaveSchemeConfigDTO;
import net.wanji.web.vo.scheme.LaneIdsVO;
import net.wanji.web.vo.scheme.LightIdVO;

/**
 * @author Kent HAN
 * @date 2023/1/5 10:27
 */
public interface SchemeConfigService {
    void saveSchemeConfig(SaveSchemeConfigDTO saveSchemeConfigDTO);

    LightIdVO getLightByLane(LaneIdDTO laneIdDTO);

    LaneIdsVO getLanesByLight(LightIdDTO lightIdDTO);

    SaveSchemeConfigDTO listSchemeConfig(CrossIdDTO crossIdDTO);
}
